package com.goldenwater.slgc.service;

import java.util.List;
import java.util.Map;
import com.goldenwater.slgc.domain.AttResBase;

/** 水库信息 Service */
public interface ReservoirService {
    /**
     * 查询水库信息列表
     * 
     * @param attResBase 查询条件
     * @return 水库信息列表
     */
    public List<AttResBase> selectAttResBaseList(AttResBase attResBase);

    /**
     * 通过水库编码查询水库信息
     * 
     * @param resCode 水库编码
     * @return 水库信息
     */
    public AttResBase selectAttResBaseById(String resCode);

    /**
     * 批量删除水库信息
     * 
     * @param resCodes 水库编码数组
     * @return 删除行数
     */
    public int deleteAttResBaseByIds(String[] resCodes);

    /**
     * 新增水库信息
     * 
     * @param attResBase 水库信息
     * @return 插入行数
     */
    public int insertAttResBase(AttResBase attResBase);

    /**
     * 修改水库信息
     * 
     * @param attResBase 水库信息
     * @return 更新行数
     */
    public int updateAttResBase(AttResBase attResBase);

    /**
     * 统计水库规模分布
     * 
     * @return 规模分布统计结果
     */
    public List<Map<String, Object>> countType();
}
